Subject: Re: [PATCH v5] submodule merge: update conflict error message

From: Junio C Hamano <[email-masked]>
Date: Tue, 19 Jul 2022 13:16:27 -0700

Calvin Wan <[email-masked]> writes:

>> The stuff to help reviewers who may have seen earlier round are
>> usually written in the cover letter, or after the three-dash line.
> Ah I see since this patch doesn't have a cover letter, I should put
> all the reviewer-centric stuff after the three-dash line.
>
>> > +     if (csub && csub->nr > 0) {
>> > +             int i;
>> > +             printf(_("Recursive merging with submodules currently only supports trivial cases.\n"
>> > +                     "Please manually handle the merging of each conflicted submodule.\n"
>> > +                     "This can be accomplished with the following steps:\n"));
>>
>> This makes me wonder if these "helpful but verbose" messages should
>> use the advise mechanism.
>
> I agree. The only loss of information if someone turned off this message
> would be the commit id that possibly needs to be merged.

If the commit found by find_first_merges() are useful, then it is
losing information, so it is one argument against using the advise
mechanism.